#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (some using network)
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module	pyquery
Summary:	A jquery-like library for Python
Summary(pl.UTF-8):	Podobna do jquery biblioteka dla Pythona
Name:		python-%{module}
Version:	1.4.1
Release:	4
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyquery/
Source0:	http://files.pythonhosted.org/packages/source/p/pyquery/%{module}-%{version}.tar.gz
# Source0-md5:	7445c6de6db6618bf0670f624f2a82d4
URL:		http://pypi.org/project/pyquery/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-WebOb
BuildRequires:	python-cssselect > 0.7.9
BuildRequires:	python-lxml >= 2.1
BuildRequires:	python-nose
BuildRequires:	python-webtest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-WebOb
BuildRequires:	python3-cssselect > 0.7.9
BuildRequires:	python3-lxml >= 2.1
BuildRequires:	python3-nose
BuildRequires:	python3-webtest
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyquery allows you to make jquery queries on xml documents. The API is
as much as possible the similar to jquery. pyquery uses lxml for fast
xml and html manipulation.

%description -l pl.UTF-8
Pyquery pozwala na wykonywanie zapytań jquery na dokumentach XML.
Interfejs jest jak to tylko możliwe podobny do jquery. Pyquery używa
lxml do szybkiej manipulacji plików XML i HTML.

%package -n python3-%{module}
Summary:	A jquery-like library for Python
Summary(pl.UTF-8):	Podobna do jquery biblioteka dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
Pyquery allows you to make jquery queries on xml documents. The API is
as much as possible the similar to jquery. pyquery uses lxml for fast
xml and html manipulation.

%description -n python3-%{module} -l pl.UTF-8
Pyquery pozwala na wykonywanie zapytań jquery na dokumentach XML.
Interfejs jest jak to tylko możliwe podobny do jquery. Pyquery używa
lxml do szybkiej manipulacji plików XML i HTML.

%package apidocs
Summary:	API documentation for Python pyquery module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pyquery
Group:		Documentation

%description apidocs
API documentation for Python pyquery module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pyquery.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
nosetests-%{py_ver} tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
nosetests-%{py3_ver} tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py_sitescriptdir}/pyquery
%{py_sitescriptdir}/pyquery-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/pyquery
%{py3_sitescriptdir}/pyquery-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyquery.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ee7e22a
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8e5e362
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 29b2cdb
- release 2 (by relup.sh)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> b3b690f
- updated to 1.4.1 (the last version supporting python 2 according to changelog)

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> e99f893
- updated files
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2538af3
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 069130b
- disable tests by default (some of them use network)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 5f5a14a
- updated to 1.4.0, added -apidocs

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ea29ddc
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e944f15
- python 3.6
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9031dcb
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Elan Ruusamäe <glen@delfi.ee> 0951836
- adapter

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f82b2a6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1d91aaa
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 08122cf
- semi-automatic change: use py_build/py_install macros

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d253b95
- more test dependencies

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 10206e9
- R fixed

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e2ccff
- rel 3; python3 package

* Mon Oct 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6980161
- up to 1.2.9

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> 15adb57
- Release 2. Fixed noarch.

